# $Revision: 1.12 $, $Date: 2002/05/25 09:22:27 $
Summary:	Bonobo user interface components
Summary(pl):	Komponenty interfejsu uytkownika do Bonobo
Name:		libbonoboui
Version:	1.117.0
Release:	3
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/gnome/pre-gnome2/sources/libbonoboui/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 1.1.10
BuildRequires:	ORBit2-devel >= 2.3.110
BuildRequires:	bonobo-activation-devel >= 0.9.9
BuildRequires:	gtk+2-devel >= 2.0.2
BuildRequires:	intltool >= 0.21
BuildRequires:	libart_lgpl-devel >= 2.3.8
BuildRequires:	libbonobo-devel >= 1.117.0
BuildRequires:	libglade2-devel >= 1.99.12
BuildRequires:	libgnome-devel >= 1.117.0
BuildRequires:	libgnomecanvas-devel >= 1.117.0
BuildRequires:	libxml2-devel >= 2.4.21
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Bonobo is a component system based on CORBA, used by the GNOME
desktop. libbonoboui contains the user interface related components
that come with Bonobo.

%description -l pl
Bonobo jest systemem komponentw bazujcym na CORB-ie, uywanym przez
rodowisko GNOME. libbonoboui zawiera komponenty zwizane z
interfejsem uytkownika, ktre przychodz z Bonobo.

%package devel
Summary:	Headers for libbonoboui
Summary(pl):	Pliki nagwkowe libbonoboui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	GConf2-devel >= 1.1.10
Requires:	libart_lgpl-devel >= 2.3.8
Requires:	libbonobo-devel >= 1.117.0
Requires:	libglade2-devel >= 1.99.12
Requires:	libgnome-devel >= 1.117.0
Requires:	libgnomecanvas-devel >= 1.117.0
Requires:	libxml2-devel >= 2.4.21
Requires:	openssl-devel

%description devel
Bonobo is a component system based on CORBA, used by the GNOME
desktop. libbonoboui contains GUI components that come with Bonobo.

This package contains header files used to compile programs that use
libbonoboui.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do kompilacji programw
uywajcych libbonoboui.

%package static
Summary:	Static libbonoboui library
Summary(pl):	Statyczna biblioteka libbonoboui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
This package contains static version of libbonoboui.

%description static -l pl
Ten pakiet zawiera statyczn wersj biblioteki libbonoboui.

%prep
%setup -q

%build
rm -d missing
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/libglade/2.0/*.??
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0/samples/*
%{_datadir}/gnome-2.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/libbonoboui-2.0

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libbonoboui.spec,v $
Revision 1.12  2002/05/25 09:22:27  kloczek
- release 3,
- openssl-devel added to BuildRequires,
- added Requires rules in devel,
- use new %doc infrastructure.

Revision 1.11  2002/05/21 15:08:07  wiget
- version 1.117.0
- strict BR

Revision 1.10  2002/05/14 10:39:45  wiget
%%files fixes

Revision 1.9  2002/04/30 13:56:07  michuz
 - 1.116.0

Revision 1.8  2002/04/26 13:03:06  michuz
- updated to 1.115.0

Revision 1.7  2002/04/18 15:37:16  michuz
- removed patch0

Revision 1.6  2002/04/14 10:42:28  michuz
- updated to 1.113.0

Revision 1.5  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/05 15:51:26  qboosh
- separated -static, gzip doc, added pl translations

Revision 1.2  2002/02/01 19:11:16  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on spec from RedHat.
